-- *********************************************************************
-- Update Database Script
-- *********************************************************************
-- Change Log: /home/stbuilder/jenkins/workspace/Liquibase/16.7.0/CreateLiquibaseSQL/../CreateLiquibaseDB/mvn/liquibase/schema.xml
-- Ran at: 10/24/16 8:17 AM
-- Against: actionuser@jdbc:postgresql://localhost:5432/actionHubDb
-- Liquibase version: 3.5.1
-- *********************************************************************

-- Create Database Lock Table
CREATE TABLE databasechangeloglock (ID INT NOT NULL, LOCKED BOOLEAN NOT NULL, LOCKGRANTED TIMESTAMP WITHOUT TIME ZONE, LOCKEDBY VARCHAR(255), CONSTRAINT PK_DATABASECHANGELOGLOCK PRIMARY KEY (ID));

-- Initialize Database Lock Table
DELETE FROM databasechangeloglock;

INSERT INTO databasechangeloglock (ID, LOCKED) VALUES (1, FALSE);

-- Lock Database
UPDATE databasechangeloglock SET LOCKED = TRUE, LOCKEDBY = '192.168.122.108 (192.168.122.108)', LOCKGRANTED = '2016-10-24 08:17:12.026' WHERE ID = 1 AND LOCKED = FALSE;

-- Create Database Change Log Table
CREATE TABLE databasechangelog (ID VARCHAR(255) NOT NULL, AUTHOR VARCHAR(255) NOT NULL, FILENAME VARCHAR(255) NOT NULL, DATEEXECUTED TIMESTAMP WITHOUT TIME ZONE NOT NULL, ORDEREXECUTED INT NOT NULL, EXECTYPE VARCHAR(10) NOT NULL, MD5SUM VARCHAR(35), DESCRIPTION VARCHAR(255), COMMENTS VARCHAR(255), TAG VARCHAR(255), LIQUIBASE VARCHAR(20), CONTEXTS VARCHAR(255), LABELS VARCHAR(255), DEPLOYMENT_ID VARCHAR(10));

-- Changeset /home/stbuilder/jenkins/workspace/Liquibase/16.7.0/CreateLiquibaseSQL/../CreateLiquibaseDB/mvn/liquibase/schema.xml::1477297012728-1::stbuilder (generated)
CREATE SEQUENCE "amqp_connection_id_seq";

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1477297012728-1', 'stbuilder (generated)', '/home/stbuilder/jenkins/workspace/Liquibase/16.7.0/CreateLiquibaseSQL/../CreateLiquibaseDB/mvn/liquibase/schema.xml', NOW(), 1, '7:8ea82fc0731c805b4ea69976ebec55c7', 'createSequence sequenceName=amqp_connection_id_seq', '', 'EXECUTED', NULL, NULL, '3.5.1', '7297033154');

-- Changeset /home/stbuilder/jenkins/workspace/Liquibase/16.7.0/CreateLiquibaseSQL/../CreateLiquibaseDB/mvn/liquibase/schema.xml::1477297012728-2::stbuilder (generated)
CREATE SEQUENCE "audit_change_id_seq";

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1477297012728-2', 'stbuilder (generated)', '/home/stbuilder/jenkins/workspace/Liquibase/16.7.0/CreateLiquibaseSQL/../CreateLiquibaseDB/mvn/liquibase/schema.xml', NOW(), 2, '7:05f6a0c7e588ea905f23ebbc932c3c53', 'createSequence sequenceName=audit_change_id_seq', '', 'EXECUTED', NULL, NULL, '3.5.1', '7297033154');

-- Changeset /home/stbuilder/jenkins/workspace/Liquibase/16.7.0/CreateLiquibaseSQL/../CreateLiquibaseDB/mvn/liquibase/schema.xml::1477297012728-3::stbuilder (generated)
CREATE SEQUENCE "audit_entry_id_seq";

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1477297012728-3', 'stbuilder (generated)', '/home/stbuilder/jenkins/workspace/Liquibase/16.7.0/CreateLiquibaseSQL/../CreateLiquibaseDB/mvn/liquibase/schema.xml', NOW(), 3, '7:7d291c8ff2201c7e3857ab57034d22e1', 'createSequence sequenceName=audit_entry_id_seq', '', 'EXECUTED', NULL, NULL, '3.5.1', '7297033154');

-- Changeset /home/stbuilder/jenkins/workspace/Liquibase/16.7.0/CreateLiquibaseSQL/../CreateLiquibaseDB/mvn/liquibase/schema.xml::1477297012728-4::stbuilder (generated)
CREATE SEQUENCE "propertyvalue_id_seq";

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1477297012728-4', 'stbuilder (generated)', '/home/stbuilder/jenkins/workspace/Liquibase/16.7.0/CreateLiquibaseSQL/../CreateLiquibaseDB/mvn/liquibase/schema.xml', NOW(), 4, '7:0f8f770839286dc354aaa40c59cdb6b4', 'createSequence sequenceName=propertyvalue_id_seq', '', 'EXECUTED', NULL, NULL, '3.5.1', '7297033154');

-- Changeset /home/stbuilder/jenkins/workspace/Liquibase/16.7.0/CreateLiquibaseSQL/../CreateLiquibaseDB/mvn/liquibase/schema.xml::1477297012728-5::stbuilder (generated)
CREATE SEQUENCE "registrysetting_id_seq";

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1477297012728-5', 'stbuilder (generated)', '/home/stbuilder/jenkins/workspace/Liquibase/16.7.0/CreateLiquibaseSQL/../CreateLiquibaseDB/mvn/liquibase/schema.xml', NOW(), 5, '7:d794c613184f9e07e52ba32f5ed07bdd', 'createSequence sequenceName=registrysetting_id_seq', '', 'EXECUTED', NULL, NULL, '3.5.1', '7297033154');

-- Changeset /home/stbuilder/jenkins/workspace/Liquibase/16.7.0/CreateLiquibaseSQL/../CreateLiquibaseDB/mvn/liquibase/schema.xml::1477297012728-6::stbuilder (generated)
CREATE SEQUENCE "rule_argument_id_seq";

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1477297012728-6', 'stbuilder (generated)', '/home/stbuilder/jenkins/workspace/Liquibase/16.7.0/CreateLiquibaseSQL/../CreateLiquibaseDB/mvn/liquibase/schema.xml', NOW(), 6, '7:ede65d5e42fee79f41437f0c827c19e0', 'createSequence sequenceName=rule_argument_id_seq', '', 'EXECUTED', NULL, NULL, '3.5.1', '7297033154');

-- Changeset /home/stbuilder/jenkins/workspace/Liquibase/16.7.0/CreateLiquibaseSQL/../CreateLiquibaseDB/mvn/liquibase/schema.xml::1477297012728-7::stbuilder (generated)
CREATE SEQUENCE "rule_execution_history_id_seq";

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1477297012728-7', 'stbuilder (generated)', '/home/stbuilder/jenkins/workspace/Liquibase/16.7.0/CreateLiquibaseSQL/../CreateLiquibaseDB/mvn/liquibase/schema.xml', NOW(), 7, '7:91d644575f9aba86a9e3cd1d4ccc701b', 'createSequence sequenceName=rule_execution_history_id_seq', '', 'EXECUTED', NULL, NULL, '3.5.1', '7297033154');

-- Changeset /home/stbuilder/jenkins/workspace/Liquibase/16.7.0/CreateLiquibaseSQL/../CreateLiquibaseDB/mvn/liquibase/schema.xml::1477297012728-8::stbuilder (generated)
CREATE SEQUENCE "rule_id_seq";

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1477297012728-8', 'stbuilder (generated)', '/home/stbuilder/jenkins/workspace/Liquibase/16.7.0/CreateLiquibaseSQL/../CreateLiquibaseDB/mvn/liquibase/schema.xml', NOW(), 8, '7:9a8d0dc7b9304ad1e1175e09e24e180e', 'createSequence sequenceName=rule_id_seq', '', 'EXECUTED', NULL, NULL, '3.5.1', '7297033154');

-- Changeset /home/stbuilder/jenkins/workspace/Liquibase/16.7.0/CreateLiquibaseSQL/../CreateLiquibaseDB/mvn/liquibase/schema.xml::1477297012728-9::stbuilder (generated)
CREATE SEQUENCE "rule_scope_id_seq";

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1477297012728-9', 'stbuilder (generated)', '/home/stbuilder/jenkins/workspace/Liquibase/16.7.0/CreateLiquibaseSQL/../CreateLiquibaseDB/mvn/liquibase/schema.xml', NOW(), 9, '7:24331a713a4c7d025c0720c857de5725', 'createSequence sequenceName=rule_scope_id_seq', '', 'EXECUTED', NULL, NULL, '3.5.1', '7297033154');

-- Changeset /home/stbuilder/jenkins/workspace/Liquibase/16.7.0/CreateLiquibaseSQL/../CreateLiquibaseDB/mvn/liquibase/schema.xml::1477297012728-10::stbuilder (generated)
CREATE SEQUENCE "schema_versions_id_seq";

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1477297012728-10', 'stbuilder (generated)', '/home/stbuilder/jenkins/workspace/Liquibase/16.7.0/CreateLiquibaseSQL/../CreateLiquibaseDB/mvn/liquibase/schema.xml', NOW(), 10, '7:c49beb7249f7e0e14dbe62459fcf465f', 'createSequence sequenceName=schema_versions_id_seq', '', 'EXECUTED', NULL, NULL, '3.5.1', '7297033154');

-- Changeset /home/stbuilder/jenkins/workspace/Liquibase/16.7.0/CreateLiquibaseSQL/../CreateLiquibaseDB/mvn/liquibase/schema.xml::1477297012728-11::stbuilder (generated)
CREATE TABLE "amqp_connection" ("id" BIGSERIAL NOT NULL, "amqp_pass" VARCHAR(255) NOT NULL, "amqp_url" VARCHAR(255) NOT NULL, "amqp_user" VARCHAR(255) NOT NULL, "connection_type" VARCHAR(255) NOT NULL, CONSTRAINT "amqp_connection_pkey" PRIMARY KEY ("id"));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1477297012728-11', 'stbuilder (generated)', '/home/stbuilder/jenkins/workspace/Liquibase/16.7.0/CreateLiquibaseSQL/../CreateLiquibaseDB/mvn/liquibase/schema.xml', NOW(), 11, '7:d1e72d51c5f17b3c6b4c10e37b300b3d', 'createTable tableName=amqp_connection', '', 'EXECUTED', NULL, NULL, '3.5.1', '7297033154');

-- Changeset /home/stbuilder/jenkins/workspace/Liquibase/16.7.0/CreateLiquibaseSQL/../CreateLiquibaseDB/mvn/liquibase/schema.xml::1477297012728-12::stbuilder (generated)
CREATE TABLE "audit_change" ("id" BIGSERIAL NOT NULL, "new_value" TEXT, "old_value" TEXT, "property_name" VARCHAR(255) NOT NULL, "auditentry_id" BIGINT, CONSTRAINT "audit_change_pkey" PRIMARY KEY ("id"));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1477297012728-12', 'stbuilder (generated)', '/home/stbuilder/jenkins/workspace/Liquibase/16.7.0/CreateLiquibaseSQL/../CreateLiquibaseDB/mvn/liquibase/schema.xml', NOW(), 12, '7:d591a2a108f382404161baf168f624cb', 'createTable tableName=audit_change', '', 'EXECUTED', NULL, NULL, '3.5.1', '7297033154');

-- Changeset /home/stbuilder/jenkins/workspace/Liquibase/16.7.0/CreateLiquibaseSQL/../CreateLiquibaseDB/mvn/liquibase/schema.xml::1477297012728-13::stbuilder (generated)
CREATE TABLE "audit_entry" ("id" BIGSERIAL NOT NULL, "created_by_id" VARCHAR(255), "date_created" TIMESTAMP WITHOUT TIME ZONE NOT NULL, "object_id" BIGINT NOT NULL, "object_type" VARCHAR(255) NOT NULL, "operation" VARCHAR(255) NOT NULL, CONSTRAINT "audit_entry_pkey" PRIMARY KEY ("id"));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1477297012728-13', 'stbuilder (generated)', '/home/stbuilder/jenkins/workspace/Liquibase/16.7.0/CreateLiquibaseSQL/../CreateLiquibaseDB/mvn/liquibase/schema.xml', NOW(), 13, '7:cf732fa4770af3b8b4f33e0611677b9d', 'createTable tableName=audit_entry', '', 'EXECUTED', NULL, NULL, '3.5.1', '7297033154');

-- Changeset /home/stbuilder/jenkins/workspace/Liquibase/16.7.0/CreateLiquibaseSQL/../CreateLiquibaseDB/mvn/liquibase/schema.xml::1477297012728-14::stbuilder (generated)
CREATE TABLE "propertyvalue" ("id" BIGSERIAL NOT NULL, "item_id" VARCHAR(128) NOT NULL, "last_mod_date" TIMESTAMP WITHOUT TIME ZONE NOT NULL, "prop_name" VARCHAR(128) NOT NULL, "prop_value" VARCHAR(128) NOT NULL, "source_sak" VARCHAR(128) NOT NULL, CONSTRAINT "propertyvalue_pkey" PRIMARY KEY ("id"));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1477297012728-14', 'stbuilder (generated)', '/home/stbuilder/jenkins/workspace/Liquibase/16.7.0/CreateLiquibaseSQL/../CreateLiquibaseDB/mvn/liquibase/schema.xml', NOW(), 14, '7:36339bedc3908b5608a73f4af7b3a1bc', 'createTable tableName=propertyvalue', '', 'EXECUTED', NULL, NULL, '3.5.1', '7297033154');

-- Changeset /home/stbuilder/jenkins/workspace/Liquibase/16.7.0/CreateLiquibaseSQL/../CreateLiquibaseDB/mvn/liquibase/schema.xml::1477297012728-15::stbuilder (generated)
CREATE TABLE "registrysetting" ("id" BIGSERIAL NOT NULL, "name" VARCHAR(255) NOT NULL, "value" TEXT, CONSTRAINT "registrysetting_pkey" PRIMARY KEY ("id"));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1477297012728-15', 'stbuilder (generated)', '/home/stbuilder/jenkins/workspace/Liquibase/16.7.0/CreateLiquibaseSQL/../CreateLiquibaseDB/mvn/liquibase/schema.xml', NOW(), 15, '7:c342ff5e17e8138e701cfb7b7f956288', 'createTable tableName=registrysetting', '', 'EXECUTED', NULL, NULL, '3.5.1', '7297033154');

-- Changeset /home/stbuilder/jenkins/workspace/Liquibase/16.7.0/CreateLiquibaseSQL/../CreateLiquibaseDB/mvn/liquibase/schema.xml::1477297012728-16::stbuilder (generated)
CREATE TABLE "rule" ("id" BIGSERIAL NOT NULL, "date_created" TIMESTAMP WITHOUT TIME ZONE NOT NULL, "description" TEXT, "enabled" BOOL, "last_mod_date" TIMESTAMP WITHOUT TIME ZONE NOT NULL, "manual" BOOL, "name" VARCHAR(128) NOT NULL, "project_id" VARCHAR(32) NOT NULL, "rule" TEXT, "rule_id" VARCHAR(128) NOT NULL, "rule_version" VARCHAR(32) NOT NULL, "source_sak" VARCHAR(128) NOT NULL, "source_type" VARCHAR(128) NOT NULL, "target_tool_id" VARCHAR(128) NOT NULL, "target_workflow" VARCHAR(255) NOT NULL, "target_workflow_id" VARCHAR(255) NOT NULL, CONSTRAINT "rule_pkey" PRIMARY KEY ("id"));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1477297012728-16', 'stbuilder (generated)', '/home/stbuilder/jenkins/workspace/Liquibase/16.7.0/CreateLiquibaseSQL/../CreateLiquibaseDB/mvn/liquibase/schema.xml', NOW(), 16, '7:8c761a1243b5d32f4d05c3de484ced48', 'createTable tableName=rule', '', 'EXECUTED', NULL, NULL, '3.5.1', '7297033154');

-- Changeset /home/stbuilder/jenkins/workspace/Liquibase/16.7.0/CreateLiquibaseSQL/../CreateLiquibaseDB/mvn/liquibase/schema.xml::1477297012728-17::stbuilder (generated)
CREATE TABLE "rule_argument" ("id" BIGSERIAL NOT NULL, "key" VARCHAR(255), "value" TEXT, "rule_id" BIGINT, CONSTRAINT "rule_argument_pkey" PRIMARY KEY ("id"));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1477297012728-17', 'stbuilder (generated)', '/home/stbuilder/jenkins/workspace/Liquibase/16.7.0/CreateLiquibaseSQL/../CreateLiquibaseDB/mvn/liquibase/schema.xml', NOW(), 17, '7:64f7091b6d7ba716621fef3d5b033ab7', 'createTable tableName=rule_argument', '', 'EXECUTED', NULL, NULL, '3.5.1', '7297033154');

-- Changeset /home/stbuilder/jenkins/workspace/Liquibase/16.7.0/CreateLiquibaseSQL/../CreateLiquibaseDB/mvn/liquibase/schema.xml::1477297012728-18::stbuilder (generated)
CREATE TABLE "rule_execution_history" ("id" BIGSERIAL NOT NULL, "arguments" TEXT, "execution_time" TIMESTAMP WITHOUT TIME ZONE NOT NULL, "project_id" VARCHAR(32) NOT NULL, "rule_id" BIGINT, "rule_name" VARCHAR(128) NOT NULL, "sender_type" VARCHAR(128) NOT NULL, "source_name" VARCHAR(255) NOT NULL, "source_type" VARCHAR(255) NOT NULL, "target_name" VARCHAR(255) NOT NULL, "target_workflow" VARCHAR(255) NOT NULL, "user_name" VARCHAR(255), CONSTRAINT "rule_execution_history_pkey" PRIMARY KEY ("id"));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1477297012728-18', 'stbuilder (generated)', '/home/stbuilder/jenkins/workspace/Liquibase/16.7.0/CreateLiquibaseSQL/../CreateLiquibaseDB/mvn/liquibase/schema.xml', NOW(), 18, '7:e925804b4353c7e3deb55c9b4122504e', 'createTable tableName=rule_execution_history', '', 'EXECUTED', NULL, NULL, '3.5.1', '7297033154');

-- Changeset /home/stbuilder/jenkins/workspace/Liquibase/16.7.0/CreateLiquibaseSQL/../CreateLiquibaseDB/mvn/liquibase/schema.xml::1477297012728-19::stbuilder (generated)
CREATE TABLE "rule_scope" ("id" BIGSERIAL NOT NULL, "appids_csv" VARCHAR(255), "app_scope_enabled" BOOL, "roleids_csv" VARCHAR(255), "role_scope_enabled" BOOL, "rule_id" BIGINT, CONSTRAINT "rule_scope_pkey" PRIMARY KEY ("id"));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1477297012728-19', 'stbuilder (generated)', '/home/stbuilder/jenkins/workspace/Liquibase/16.7.0/CreateLiquibaseSQL/../CreateLiquibaseDB/mvn/liquibase/schema.xml', NOW(), 19, '7:9051fcc73717d51dad072eb36b747071', 'createTable tableName=rule_scope', '', 'EXECUTED', NULL, NULL, '3.5.1', '7297033154');

-- Changeset /home/stbuilder/jenkins/workspace/Liquibase/16.7.0/CreateLiquibaseSQL/../CreateLiquibaseDB/mvn/liquibase/schema.xml::1477297012728-20::stbuilder (generated)
CREATE TABLE "schema_versions" ("id" BIGSERIAL NOT NULL, "compat" INT NOT NULL, "version" INT NOT NULL, CONSTRAINT "schema_versions_pkey" PRIMARY KEY ("id"));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1477297012728-20', 'stbuilder (generated)', '/home/stbuilder/jenkins/workspace/Liquibase/16.7.0/CreateLiquibaseSQL/../CreateLiquibaseDB/mvn/liquibase/schema.xml', NOW(), 20, '7:5f87e7a99bc9071f0b8a4c64fab029c3', 'createTable tableName=schema_versions', '', 'EXECUTED', NULL, NULL, '3.5.1', '7297033154');

-- Changeset /home/stbuilder/jenkins/workspace/Liquibase/16.7.0/CreateLiquibaseSQL/../CreateLiquibaseDB/mvn/liquibase/schema.xml::1477297012728-21::stbuilder (generated)
ALTER TABLE "audit_change" ADD CONSTRAINT "fk_bggo7vosmqdpp9ote95ohtewc" FOREIGN KEY ("auditentry_id") REFERENCES "audit_entry" ("id") ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1477297012728-21', 'stbuilder (generated)', '/home/stbuilder/jenkins/workspace/Liquibase/16.7.0/CreateLiquibaseSQL/../CreateLiquibaseDB/mvn/liquibase/schema.xml', NOW(), 21, '7:a93c035f0ad43c0516fc34ce041f6cc2', 'addForeignKeyConstraint baseTableName=audit_change, constraintName=fk_bggo7vosmqdpp9ote95ohtewc, referencedTableName=audit_entry', '', 'EXECUTED', NULL, NULL, '3.5.1', '7297033154');

-- Changeset /home/stbuilder/jenkins/workspace/Liquibase/16.7.0/CreateLiquibaseSQL/../CreateLiquibaseDB/mvn/liquibase/schema.xml::1477297012728-22::stbuilder (generated)
ALTER TABLE "rule_scope" ADD CONSTRAINT "fk_ha7770h7wj7ugjf2882docvhg" FOREIGN KEY ("rule_id") REFERENCES "rule" ("id") ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1477297012728-22', 'stbuilder (generated)', '/home/stbuilder/jenkins/workspace/Liquibase/16.7.0/CreateLiquibaseSQL/../CreateLiquibaseDB/mvn/liquibase/schema.xml', NOW(), 22, '7:1cbf2a817cb3721da56aefa10577775b', 'addForeignKeyConstraint baseTableName=rule_scope, constraintName=fk_ha7770h7wj7ugjf2882docvhg, referencedTableName=rule', '', 'EXECUTED', NULL, NULL, '3.5.1', '7297033154');

-- Changeset /home/stbuilder/jenkins/workspace/Liquibase/16.7.0/CreateLiquibaseSQL/../CreateLiquibaseDB/mvn/liquibase/schema.xml::1477297012728-23::stbuilder (generated)
ALTER TABLE "rule_argument" ADD CONSTRAINT "fk_k6m4xsvutmxjw72auqa1fuwwc" FOREIGN KEY ("rule_id") REFERENCES "rule" ("id") ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1477297012728-23', 'stbuilder (generated)', '/home/stbuilder/jenkins/workspace/Liquibase/16.7.0/CreateLiquibaseSQL/../CreateLiquibaseDB/mvn/liquibase/schema.xml', NOW(), 23, '7:ccadab484efba87e0f8a441fd2ff963e', 'addForeignKeyConstraint baseTableName=rule_argument, constraintName=fk_k6m4xsvutmxjw72auqa1fuwwc, referencedTableName=rule', '', 'EXECUTED', NULL, NULL, '3.5.1', '7297033154');

-- Release Database Lock
UPDATE databasechangeloglock SET LOCKED = FALSE, LOCKEDBY = NULL, LOCKGRANTED = NULL WHERE ID = 1;

INSERT INTO schema_versions (ID,compat,version) VALUES (1,1610,1610);
