
package simpleObject;

use Data::Dumper;
our $AUTOLOAD;

sub new {
    my $class = shift;
    my $self  = {};
    my $type;

    if ( $type = ref($_[0]) ) {
	my $oh = shift;
	if ( $type eq 'HASH' ) {
	    $self = $oh;
	}
	if ( $type eq 'ARRAY' ) {
	    $self = { map { $_, 1 } @$oh };
	}
    } else {
	$self = { @_ };
    }

    bless $self, $class;

}

sub getFieldList {
    my $self = shift;
    return keys(%$self);
}

sub keys {
    my $self = shift;
    return keys(%$self);
}

sub _add {
    my $self = shift;
    my $key  = shift;
    my $val  = shift;
    $self->{ $key } = $val;
}

sub AUTOLOAD {
    my @bits = split(/::/,$AUTOLOAD);
    my $method = $bits[1];

    return if ( $method eq 'DESTROY');

    my $self    = shift;
    my $val     = shift;

    return undef unless( defined( $self->{ $method } ));

    if ( defined( $val ) ) {
	$self->{ $method } = $val;
    }

    return $self->{ $method };
    
}

1;
